Package com.mapd.thrift.server

## Class TColSlotContext

- java.lang.Object
- - com.mapd.thrift.server.TColSlotContext

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TColSlotContext>`, `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`, `org.apache.thrift.TSerializable`

    public class TColSlotContext
    extends Object
    implements org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>, Serializable, Cloneable, Comparable<TColSlotContext>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TColSlotContext._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<List<Integer>>` `col_to_slot_map`
`static Map<TColSlotContext._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TSlotSize>` `slot_sizes`

### Constructor Summary

Constructors
`TColSlotContext()`
`TColSlotContext​(TColSlotContext other)` Performs a deep copy on other.
`TColSlotContext​(List<TSlotSize> slot_sizes, List<List<Integer>> col_to_slot_map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToCol_to_slot_map​(List<Integer> elem)`
`void` `addToSlot_sizes​(TSlotSize elem)`
`void` `clear()`
`int` `compareTo​(TColSlotContext other)`
`TColSlotContext` `deepCopy()`
`boolean` `equals​(TColSlotContext that)`
`boolean` `equals​(Object that)`
`TColSlotContext._Fields` `fieldForId​(int fieldId)`
`List<List<Integer>>` `getCol_to_slot_map()`
`Iterator<List<Integer>>` `getCol_to_slot_mapIterator()`
`int` `getCol_to_slot_mapSize()`
`Object` `getFieldValue​(TColSlotContext._Fields field)`
`List<TSlotSize>` `getSlot_sizes()`
`Iterator<TSlotSize>` `getSlot_sizesIterator()`
`int` `getSlot_sizesSize()`
`int` `hashCode()`
`boolean` `isSet​(TColSlotContext._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_to_slot_map()` Returns true if field col_to_slot_map is set (has been assigned a value) and false otherwise
`boolean` `isSetSlot_sizes()` Returns true if field slot_sizes is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TColSlotContext` `setCol_to_slot_map​(List<List<Integer>> col_to_slot_map)`
`void` `setCol_to_slot_mapIsSet​(boolean value)`
`void` `setFieldValue​(TColSlotContext._Fields field, Object value)`
`TColSlotContext` `setSlot_sizes​(List<TSlotSize> slot_sizes)`
`void` `setSlot_sizesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCol_to_slot_map()`
`void` `unsetSlot_sizes()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### slot_sizes

    public List<TSlotSize> slot_sizes

#### col_to_slot_map

    public List<List<Integer>> col_to_slot_map

#### metaDataMap

    public static final Map<TColSlotContext._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TColSlotContext

    public TColSlotContext()

#### TColSlotContext

    public TColSlotContext​(List<TSlotSize> slot_sizes,
                           List<List<Integer>> col_to_slot_map)

#### TColSlotContext

    public TColSlotContext​(TColSlotContext other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TColSlotContext deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`

#### getSlot_sizesSize

    public int getSlot_sizesSize()

#### getSlot_sizesIterator

    public Iterator<TSlotSize> getSlot_sizesIterator()

#### addToSlot_sizes

    public void addToSlot_sizes​(TSlotSize elem)

#### getSlot_sizes

    public List<TSlotSize> getSlot_sizes()

#### setSlot_sizes

    public TColSlotContext setSlot_sizes​(List<TSlotSize> slot_sizes)

#### unsetSlot_sizes

    public void unsetSlot_sizes()

#### isSetSlot_sizes

    public boolean isSetSlot_sizes()

Returns true if field slot_sizes is set (has been assigned a value) and false otherwise

#### setSlot_sizesIsSet

    public void setSlot_sizesIsSet​(boolean value)

#### getCol_to_slot_mapSize

    public int getCol_to_slot_mapSize()

#### getCol_to_slot_mapIterator

    public Iterator<List<Integer>> getCol_to_slot_mapIterator()

#### addToCol_to_slot_map

    public void addToCol_to_slot_map​(List<Integer> elem)

#### getCol_to_slot_map

    public List<List<Integer>> getCol_to_slot_map()

#### setCol_to_slot_map

    public TColSlotContext setCol_to_slot_map​(List<List<Integer>> col_to_slot_map)

#### unsetCol_to_slot_map

    public void unsetCol_to_slot_map()

#### isSetCol_to_slot_map

    public boolean isSetCol_to_slot_map()

Returns true if field col_to_slot_map is set (has been assigned a value) and false otherwise

#### setCol_to_slot_mapIsSet

    public void setCol_to_slot_mapIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TColSlotContext._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`

#### getFieldValue

    public Object getFieldValue​(TColSlotContext._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`

#### isSet

    public boolean isSet​(TColSlotContext._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TColSlotContext that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TColSlotContext other)

Specified by:
  `compareTo` in interface `Comparable<TColSlotContext>`

#### fieldForId

    public TColSlotContext._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TColSlotContext,​TColSlotContext._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`